all: pdf html

pdf: tutorial.pdf

tutorial.pdf: tutorial.tex
	pdflatex tutorial.tex
	pdflatex tutorial.tex

html: tutorial/tutorial.html

tutorial/tutorial.html: tutorial.pdf
	sh makehtml.sh
	cp tutorial.pdf tutorial

install: html pdf
	scp `find tutorial -type f -print -depth` \
			$(WEB_BASE)

clean:
	rm -f *.dvi *.log *.aux *.bbl *.blg *.lof *.lot *.toc *.out
	rm -f tutorial.ps tutorial.pdf

realclean: clean
	rm -rf tutorial
